import { type CEnv, CManagedObject } from './cenv.js';
import { type CPointerClosure } from './objregistry.js';
import { CColorGradient } from './ccolorgradient.js';
import type { CString, CColorGradientPtr } from '../cvizzu.types';
export declare class CCanvas extends CManagedObject {
    constructor(env: CEnv, getId: CPointerClosure);
    getColorGradient(stops: CColorGradientPtr, stopCount: number): CColorGradient;
    getString(text: CString): string;
}
