import { Module } from './module.js';
export interface LoaderOptions {
    /** The URL for the webassembly binary (cvizzu.wasm). */
    wasmUrl?: string;
}
declare class Loader {
    private _options;
    private _loading;
    constructor();
    set options(options: LoaderOptions);
    get options(): LoaderOptions;
    initialize(): Promise<Module>;
    private _loadModule;
    private _getModuleOptions;
}
export declare const loader: Loader;
export {};
