import { Plugin, PluginApi, PluginHooks } from '../plugins.js';
export interface ClockApi extends PluginApi {
    /** Returns the actual time in miliseconds. */
    now(): number;
}
export declare class Clock implements Plugin {
    meta: {
        name: string;
    };
    get api(): ClockApi;
    get hooks(): PluginHooks;
    private _now;
}
