import { CCoordSystem } from '../module/ccoordsys';
import { Plugin, PluginApi } from '../plugins';
import { Point } from '../geom';
export interface CoordSystemApi extends PluginApi {
    toCanvas(point: Point): Point;
    toRelative(point: Point): Point;
}
export declare class CoordSystem implements Plugin {
    private _cCoordSys;
    constructor(cCoordSys: CCoordSystem);
    meta: {
        name: string;
    };
    api: CoordSystemApi;
}
