export declare const isAccessibleStylesheet: (stylesheet: CSSStyleSheet) => boolean;
export declare const getCSSCustomProps: (pfx?: string) => string[];
export declare const getCSSCustomPropsForElement: (el: HTMLElement, pfx?: string) => string[][];
interface StringKeyedObject {
    [key: string]: unknown;
}
export declare const propSet: <T extends StringKeyedObject, V>(obj: T, path: string[], value: V, overwrite: boolean) => T;
export declare const propsToObject: <T>(props: string[][], propObj: T | null | undefined, pfx?: string, overwrite?: boolean) => T;
export {};
