import { CRecordPtr } from '../cvizzu.types';
import { CObject, CEnv } from './cenv.js';
import { Mirrored } from '../tsutils';
import * as Data from '../types/data.js';
export declare class CRecord extends CObject {
    constructor(env: CEnv, recordPtr: CRecordPtr);
    getValue(columnName: string): string | number;
}
export declare class CData extends CObject {
    getMetaInfo(): Mirrored<Data.Metainfo>;
    addDimension(name: string, indexes: number[], categories: string[]): void;
    addMeasure(name: string, unit: string, values: number[]): void;
    addRecord(record: (string | number)[]): void;
    setFilter(callback: ((record: CRecord) => boolean) | null): void;
}
