import type { CCanvas } from './ccanvas.js';
import type { CColorGradient } from './ccolorgradient.js';
import type { CString, CColorGradientPtr } from '../cvizzu.types';
export declare abstract class CRenderer {
    canvas?: CCanvas;
    abstract setFontStyle(font: string): void;
    abstract drawText(x: number, y: number, sizex: number, sizey: number, text: string): void;
    abstract setGradient(x1: number, y1: number, x2: number, y2: number, gradient: CColorGradient): void;
    setFont(font: CString): void;
    text(x: number, y: number, sizex: number, sizey: number, text: CString): void;
    setBrushGradient(x1: number, y1: number, x2: number, y2: number, stopCount: number, stops: CColorGradientPtr): void;
}
