import { CPointer } from '../cvizzu.types';
export type FnFree = (rawCPointer: CPointer) => void;
export type CPointerClosure = () => CPointer;
export declare class ObjectRegistry {
    private _finalizationRegistry;
    constructor(fnFree: FnFree);
    register(objectId: CPointerClosure): void;
    unregister(objectId: CPointerClosure): void;
}
