import { Plugin, PluginHooks } from '../plugins.js';
import Vizzu from '../vizzu.js';
export declare class CSSProperties implements Plugin {
    private _chart?;
    meta: {
        name: string;
        depends: string[];
    };
    api: {
        prefix: string;
    };
    constructor(options?: {
        prefix?: string;
    });
    get hooks(): PluginHooks;
    register(chart: Vizzu): void;
}
