import Vizzu from '../vizzu.js';
import { Plugin } from '../plugins.js';
import { CChart } from '../module/cchart.js';
export declare class PointerEvents implements Plugin {
    private _vizzu?;
    private _canvasApi?;
    private _canvas?;
    private _handlers?;
    private _enabled;
    meta: {
        name: string;
        depends: string[];
    };
    constructor(cChart: CChart);
    register(vizzu: Vizzu): void;
    unregister(): void;
    enable(enabled: boolean): void;
    private _setHandlers;
    private _removeHandlers;
    private _passEventToChart;
    private _getCoords;
}
