import { Plugin, PluginApi, PluginHooks } from '../plugins.js';
export interface RenderControlApi extends PluginApi {
    /** Re-renders the chart. */
    update(timeInMSecs: number | null): void;
}
export declare class RenderControl implements Plugin {
    private _update;
    private _timeInMSecs;
    private _enabled;
    meta: {
        name: string;
    };
    get api(): RenderControlApi;
    get hooks(): PluginHooks;
    enable(enabled: boolean): void;
}
